- Taxpayers
- Change the owner of a taxpayer
Taxpayers
Change the owner of a taxpayer
Assign a different firm user as the owner of a taxpayer.
POST
/v1/firms/{firmId}/taxpayers/{taxpayerId}/change-owner-firm-user
curl --request POST \
--url https://public-api.sandbox.remitian.com/v1/firms/{firmId}/taxpayers/{taxpayerId}/change-owner-firm-user \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>' \
--header 'Content-Type: application/json' \
--data '{
"ownerFirmUserId": "<uuid>"
}'
curl --request POST \
--url https://public-api.sandbox.remitian.com/v1/firms/{firmId}/taxpayers/{taxpayerId}/change-owner-firm-user \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>' \
--header 'Content-Type: application/json' \
--data '{
"ownerFirmUserId": "<uuid>"
}'Authorizations
bearerAuth
required
string
Access token from POST /v1/auth/token, sent as `Authorization: Bearer {accessToken}`.
Query Parameters
firmId
required
string
Unique identifier of the firm.
taxpayerId
required
string
Unique identifier of the taxpayer.
x-api-key
required
string
API key of your Client Application.
Body
application/json
ownerFirmUserId
required
string
The unique identifier of the firm user who will own the taxpayer. The firm user must be allowed to own clients.
Response
application/json
400
401
403
404
Bad Request: validation errors name the field in `errors`
type
string
Type error
title
string
Title error
status
integer
The HTTP status code
detail
string
Detail error
instance
string
Instance error
errors
object
Validation errors keyed by field name, present on 400 responses
curl --request POST \
--url https://public-api.sandbox.remitian.com/v1/firms/{firmId}/taxpayers/{taxpayerId}/change-owner-firm-user \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>' \
--header 'Content-Type: application/json' \
--data '{
"ownerFirmUserId": "<uuid>"
}'
curl --request POST \
--url https://public-api.sandbox.remitian.com/v1/firms/{firmId}/taxpayers/{taxpayerId}/change-owner-firm-user \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>' \
--header 'Content-Type: application/json' \
--data '{
"ownerFirmUserId": "<uuid>"
}'